/* gltest - small OpenGL tearing test program
 * Copyright (C) 2012-2013 Ralf Jung <post@ralfj.de>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 */

#include "glutil.h"

#if !defined(CON_GL1)
#error "Only GL1 contexts support GL1 functionality"
#endif

void resolveFunctionPointers(T_glGetProcAddress)
{
	// nothing to do
}

// initialisation
void initialise2dProjection()
{
	glMatrixMode(GL_PROJECTION);
	glLoadIdentity();
	glOrtho (0, 1, 1, 0, 0, 1);
	glMatrixMode(GL_MODELVIEW);
}

// draw a quad
void drawQuad(GLfloat red, GLfloat green, GLfloat blue, GLfloat x1, GLfloat y1, GLfloat x2, GLfloat y2)
{
	glBegin(GL_QUADS);
	glColor3f(red, green, blue);
	glVertex2f(x1, y1);
	glVertex2f(x2, y1);
	glVertex2f(x2, y2);
	glVertex2f(x1, y2);
	glEnd();
}
